View Issue Details

IDProjectCategoryLast Update
0019176AI War 2[All Projects] SuggestionMar 7, 2018 12:22 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.401 Ship Batch 6 of 7, And Gimbal Perfoooormance! 
Fixed in Version0.711 
Summary0019176: Scrapping should give a prompt
DescriptionI had my whole fleetball selected, then I clicked "Scrap" by mistake (I was trying to click "Free roaming defender", which is next to it). Then I no longer had a fleetball.

I think there should be some sort of "Are you sure?" prompt when you click Scrap, just like in AIWC.
TagsNo tags attached.

Activities

BadgerBadger

Jun 13, 2017 9:21 pm

manager   ~0046284

Also I just accidentally quit a game by hitting 2 when I was in the wrong menu. There should be a "Do you really want to quit" as well, I think, if it's going to be that easy to fat-finger-quit a game.

BadgerBadger

Oct 3, 2017 4:13 pm

manager   ~0046480

Note this has become a less pressing issue now that scrap is typically hotkeyed to 8. There should probably still be an "Are You Sure" related to both that and Quit.

Dune

Feb 26, 2018 4:07 pm

administrator   ~0047092

Moved Trello card to Limbo since this is now assigned to x4000.

x4000Bughunter

Mar 7, 2018 12:22 pm

administrator   ~0047112

* Our new modal dialogue capabilities are now being used to have a confirmation popup for the scrap units command (via keyboard shortcut or via the interface, either way). No more accidental murders!

Issue History

Date Modified Username Field Change
Jun 13, 2017 11:16 am BadgerBadger New Issue
Jun 13, 2017 9:21 pm BadgerBadger Note Added: 0046284
Jun 19, 2017 8:35 pm x4000Bughunter Assigned To => keith.lamothe
Jun 19, 2017 8:35 pm x4000Bughunter Status new => assigned
Oct 3, 2017 4:13 pm BadgerBadger Note Added: 0046480
Dec 22, 2017 4:13 pm BadgerBadger Summary Too easy to scrap units => Scrapping should give a prompt
Feb 26, 2018 2:28 pm x4000Bughunter Assigned To keith.lamothe => x4000Bughunter
Feb 26, 2018 4:07 pm Dune Note Added: 0047092
Mar 7, 2018 12:22 pm x4000Bughunter Status assigned => resolved
Mar 7, 2018 12:22 pm x4000Bughunter Resolution open => fixed
Mar 7, 2018 12:22 pm x4000Bughunter Fixed in Version => 0.711
Mar 7, 2018 12:22 pm x4000Bughunter Note Added: 0047112